%Function to calculate Frobenius-norm of a 3-vector of nxmx2 matrices
%Return value is nxm matrix with norm of elements

function [norm] = frob_norm_2(x)

if (size(x,4) == 3)
    norm = sqrt ( x(:,:,1,1).^2 + x(:,:,2,1).^2 + ...
                  x(:,:,1,2).^2 + x(:,:,2,2).^2 + ...
                  x(:,:,1,3).^2 + x(:,:,2,3).^2 );
else
    norm = sqrt ( x(:,:,1).^2 + x(:,:,2).^2 );
end

end