%Simple function to perform a blockwise discrete cosine transformation of
%an image component g, with blocksize blocksize
function [g] = bdct(g,blocksize,mode)


[n,m] = size(g);
bs = blocksize;

if strcmp(mode,'forward')

    for i=1:bs(1):n
        for j=1:bs(2):m
            g( i:i+bs(1)-1 , j:j+bs(2)-1 )= dct2(g( i:i+bs(1)-1,j:j+bs(2)-1 ));
        end
    end
elseif strcmp(mode,'inverse')
    for i=1:bs(1):n
        for j=1:bs(2):m
            g( i:i+bs(1)-1 , j:j+bs(2)-1 )= idct2(g( i:i+bs(1)-1,j:j+bs(2)-1 ));
        end
    end
end

end


