

function u = std_rec(jpeg_data)



    %Get data pointer
    coeff_data = jpeg_data{1};
    data =      coeff_data{1};
    
    %Get image size
    img_size = jpeg_data{2};
    ny =    img_size(1,1); my =  img_size(1,2);
    ncb =   img_size(2,1); mcb = img_size(2,2);
    ncr =   img_size(3,1); mcr = img_size(3,2);
    
    %Inverse DCT
    y = bdct(data(:,:,1),8,'inverse');
    cb = bdct(data(1:ncb,1:mcb,2),8,'inverse');
    cr = bdct(data(1:ncr,1:mcr,3),8,'inverse');

    %Upscale color components
    cb = imresize(cb,[ny,my]);
    cr = imresize(cr,[ny,my]);
    
    
    %Retransform image
    u = cat(3,y,cb,cr);
    u = u+127;
    u = uint8(u);
    u = ycbcr2rgb(u);
    
    
end
